local logging = nsg.logging
local stdout, date = io.stdout, os.date

module"nsg.logging"

function console(datePattern, logPattern)

    return logging.new(  function(self, level, message)
                            stdout:write(logging.prepareLogMsg(logPattern, date(datePattern), level, message))
                            return true
                        end
                      )
end
